Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
add a stub for the java factory initier for the cases where we don't want to compile...
[simgrid.git] / configure
index 4e0c1ec..4733b6c 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.ac Revision: 1.172 .
+# From configure.ac Revision: 4976 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
+# Generated by GNU Autoconf 2.61 for simgrid 3.3-svn.
 #
 # Report bugs to <simgrid-devel@lists.gforge.inria.fr>.
 #
@@ -731,8 +731,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='simgrid'
 PACKAGE_TARNAME='simgrid'
-PACKAGE_VERSION='3.3-cvs'
-PACKAGE_STRING='simgrid 3.3-cvs'
+PACKAGE_VERSION='3.3-svn'
+PACKAGE_STRING='simgrid 3.3-svn'
 PACKAGE_BUGREPORT='simgrid-devel@lists.gforge.inria.fr'
 
 ac_unique_file="include/gras.h"
@@ -885,17 +885,19 @@ LIBTOOL
 LIBOBJS
 GRAS_ARCH_32_BITS_TRUE
 GRAS_ARCH_32_BITS_FALSE
+IS_WINDOWS_TRUE
+IS_WINDOWS_FALSE
+CONTEXT_THREADS_TRUE
+CONTEXT_THREADS_FALSE
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
-GTNETS_CFLAGS
-GTNETS_LDFLAGS
-USE_GTNETS_TRUE
-USE_GTNETS_FALSE
+HAVE_GTNETS_TRUE
+HAVE_GTNETS_FALSE
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
-AM_CFLAGS
+SMPI_DEP
 GRAS_DEP
 GRAMINE_MODE_TRUE
 GRAMINE_MODE_FALSE
@@ -903,10 +905,13 @@ MAINTAINER_MODE_TRUE
 MAINTAINER_MODE_FALSE
 MAINT
 LD_DYNAMIC_FLAGS
+AM_CPPFLAGS
 abs_builddir
 abs_srcdir
 abs_top_builddir
 abs_top_srcdir
+BOTBUILD_MODE_TRUE
+BOTBUILD_MODE_FALSE
 JAVAC
 JAVA
 JAR
@@ -1442,7 +1447,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures simgrid 3.3-cvs to adapt to many kinds of systems.
+\`configure' configures simgrid 3.3-svn to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1513,7 +1518,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of simgrid 3.3-cvs:";;
+     short | recursive ) echo "Configuration of simgrid 3.3-svn:";;
    esac
   cat <<\_ACEOF
 
@@ -1535,6 +1540,7 @@ Optional Features:
   --disable-compile-optimizations
                           use compiler optimizations (default=yes, unless if
                           CFLAGS is explicitly set)
+  --enable-botbuild       Compilation mode for build daemons -- do not use it
   --disable-java          To not compile the Java bindings even if the tools
                           are found
 
@@ -1550,6 +1556,8 @@ Optional Packages:
   --with-context=ucontext/pthread   Use either (System V) swapcontext or pthread [default=auto].
   --with-gtnets           Path to GTNetS installation (default to empty, ie
                           not using GTNetS)
+  --with-csdp             Path to csdp installation (default to empty, i.e.
+                          not using csdp)
 
 Some influential environment variables:
   CC          C compiler command
@@ -1628,7 +1636,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-simgrid configure 3.3-cvs
+simgrid configure 3.3-svn
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1642,7 +1650,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by simgrid $as_me 3.3-cvs, which was
+It was created by simgrid $as_me 3.3-svn, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2694,7 +2702,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='simgrid'
- VERSION='3.3-cvs'
+ VERSION='3.3-svn'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4588,7 +4596,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4591 "configure"' > conftest.$ac_ext
+  echo '#line 4599 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7350,11 +7358,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7353: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7361: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7357: \$? = $ac_status" >&5
+   echo "$as_me:7365: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7618,11 +7626,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7621: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7629: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7625: \$? = $ac_status" >&5
+   echo "$as_me:7633: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7722,11 +7730,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7725: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7733: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7729: \$? = $ac_status" >&5
+   echo "$as_me:7737: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10019,7 +10027,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10022 "configure"
+#line 10030 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10119,7 +10127,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10122 "configure"
+#line 10130 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12455,11 +12463,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12466: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12462: \$? = $ac_status" >&5
+   echo "$as_me:12470: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12559,11 +12567,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12562: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12570: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12566: \$? = $ac_status" >&5
+   echo "$as_me:12574: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14120,11 +14128,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14123: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14131: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14127: \$? = $ac_status" >&5
+   echo "$as_me:14135: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14224,11 +14232,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14227: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14235: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14231: \$? = $ac_status" >&5
+   echo "$as_me:14239: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16411,11 +16419,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16414: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16422: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16418: \$? = $ac_status" >&5
+   echo "$as_me:16426: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16679,11 +16687,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16682: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16690: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16686: \$? = $ac_status" >&5
+   echo "$as_me:16694: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16783,11 +16791,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16786: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16794: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16790: \$? = $ac_status" >&5
+   echo "$as_me:16798: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -19437,6 +19445,15 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
 
 
 
+
+###############
+## SVN version check
+##
+if test -e .svn ; then
+  VERSION="$VERSION-r`svnversion`"
+  PACKAGE_VERSION="$PACKAGE_VERSION-r`svnversion`"
+  PACKAGE_STRING="PACKAGE_STRING r`svnversion`"
+fi
 
 ###############
 ## System checks
@@ -24509,126 +24526,44 @@ else
 fi
 
 
-
-if test ".$mcsc" = .yes; then
-   mcsc=yes
-elif test ".$pthread" = .yes; then
-   pthread=yes
-else
-    ac_header=windows.h
-    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-    if test `eval echo '${'$as_ac_Header'}'` = yes; then
-      windows_context=yes
-    else
-      { { echo "$as_me:$LINENO: error: no appropriate backend found" >&5
-echo "$as_me: error: no appropriate backend found" >&2;}
-   { (exit 1); exit 1; }; }
-    fi
-fi
-
-
-{ echo "$as_me:$LINENO: checking what kind of backend should we use" >&5
-echo $ECHO_N "checking what kind of backend should we use... $ECHO_C" >&6; }
-
-
-# Check whether --with-pthread was given.
-if test "${with_pthread+set}" = set; then
-  withval=$with_pthread; with_context=pthread
-fi
-
-
-# Check whether --with-pthread was given.
-if test "${with_pthread+set}" = set; then
-  withval=$with_pthread; with_context=pthread
-fi
-
-
-
-# Check whether --with-context was given.
-if test "${with_context+set}" = set; then
-  withval=$with_context;
-else
-  with_context=auto
-fi
-
-
-if test "x$with_context$mcsc" = "xucontextno" ; then
-  { { echo "$as_me:$LINENO: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&5
-echo "$as_me: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&2;}
-   { (exit 77); exit 77; }; }
-fi
-
-case $with_context in
- ucontext) ;;
- pthread) ;;
- pthreads) ;;
- windows) ;;
- auto) with_context=ucontext;;
- *) { { echo "$as_me:$LINENO: error: --with-context must be either ucontext or pthread" >&5
-echo "$as_me: error: --with-context must be either ucontext or pthread" >&2;}
-   { (exit 1); exit 1; }; } ;;
-esac
-
-if test "x$with_context" = "xucontext" ; then
-  if test ".$mcsc" = .yes; then
-    { echo "$as_me:$LINENO: result: found working ucontext. Great!" >&5
-echo "${ECHO_T}found working ucontext. Great!" >&6; }
-
-cat >>confdefs.h <<\_ACEOF
-#define CONTEXT_UCONTEXT 1
-_ACEOF
-
-  else
-    if test ".$windows_context" = .yes ; then
-      { echo "$as_me:$LINENO: result: use windows context portability layer." >&5
-echo "${ECHO_T}use windows context portability layer." >&6; }
-      with_context=windows
-    else
-      { echo "$as_me:$LINENO: result: no working ucontext found. Try pthreads as a fallback" >&5
-echo "${ECHO_T}no working ucontext found. Try pthreads as a fallback" >&6; }
-      with_context=pthread
-    fi
-  fi
-fi
-
-if test "x$with_context" = "xpthreads"; then
-  with_context=pthread
-fi
-if test "x$with_context" = "xpthread"; then
-
-for ac_header in pthread.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+if test x$pthread = xyes ; then
+  { echo "$as_me:$LINENO: checking for sem_init in -lpthread" >&5
+echo $ECHO_N "checking for sem_init in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_sem_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
 else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sem_init ();
+int
+main ()
+{
+return sem_init ();
+  ;
+  return 0;
+}
 _ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
@@ -24637,113 +24572,88 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   (exit $ac_status); } && {
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_pthread_sem_init=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_header_compiler=no
+       ac_cv_lib_pthread_sem_init=no
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_sem_init" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_sem_init" >&6; }
+if test $ac_cv_lib_pthread_sem_init = yes; then
+  HAVE_SEM_INIT=yes
+else
+  HAVE_SEM_INIT=no
+fi
 
-# Is the header present?
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
+  if test ${HAVE_SEM_INIT} = yes ; then
+     { echo "$as_me:$LINENO: checking if sem_init is compilable" >&5
+echo $ECHO_N "checking if sem_init is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <$ac_header>
+#include <semaphore.h>
+int
+main ()
+{
+sem_t s; sem_init(&s);
+  ;
+  return 0;
+}
 _ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
+       } && test -s conftest.$ac_objext; then
+  HAVE_SEM_INIT=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
+       HAVE_SEM_INIT=no
 fi
 
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## -------------------------------------------------- ##
-## Report this to simgrid-devel@lists.gforge.inria.fr ##
-## -------------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+     if test ${HAVE_SEM_INIT} = yes ; then
 
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SEM_INIT 1
 _ACEOF
 
-fi
-
-done
-
-
-{ echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6; }
-if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+  { echo "$as_me:$LINENO: checking for sem_timedwait in -lpthread" >&5
+echo $ECHO_N "checking for sem_timedwait in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_sem_timedwait+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
@@ -24761,11 +24671,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char pthread_create ();
+char sem_timedwait ();
 int
 main ()
 {
-return pthread_create ();
+return sem_timedwait ();
   ;
   return 0;
 }
@@ -24788,50 +24698,334 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_pthread_pthread_create=yes
+  ac_cv_lib_pthread_sem_timedwait=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_pthread_pthread_create=no
+       ac_cv_lib_pthread_sem_timedwait=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
-echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6; }
-if test $ac_cv_lib_pthread_pthread_create = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBPTHREAD 1
-_ACEOF
-
-  LIBS="-lpthread $LIBS"
-
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_sem_timedwait" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_sem_timedwait" >&6; }
+if test $ac_cv_lib_pthread_sem_timedwait = yes; then
+  HAVE_SEM_TIMEDWAIT=yes
 else
-  { { echo "$as_me:$LINENO: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&5
-echo "$as_me: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&2;}
-   { (exit 1); exit 1; }; }
+  HAVE_SEM_TIMEDWAIT=no
 fi
 
-
-cat >>confdefs.h <<\_ACEOF
-#define CONTEXT_THREADS 1
+  if test ${HAVE_SEM_TIMEDWAIT} = yes ; then
+     { echo "$as_me:$LINENO: checking if sem_timedwait is compilable" >&5
+echo $ECHO_N "checking if sem_timedwait is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <semaphore.h>
+int
+main ()
+{
+sem_t *s; const struct timespec * t; sem_timedwait(s, t);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  HAVE_SEM_TIMEDWAIT=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       HAVE_SEM_TIMEDWAIT=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+     if test ${HAVE_SEM_TIMEDWAIT} = yes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SEM_TIMEDWAIT 1
+_ACEOF
+
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+
+  { echo "$as_me:$LINENO: checking for pthread_mutex_timedlock in -lpthread" >&5
+echo $ECHO_N "checking for pthread_mutex_timedlock in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_pthread_mutex_timedlock+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char pthread_mutex_timedlock ();
+int
+main ()
+{
+return pthread_mutex_timedlock ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_pthread_pthread_mutex_timedlock=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_pthread_pthread_mutex_timedlock=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_mutex_timedlock" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_pthread_mutex_timedlock" >&6; }
+if test $ac_cv_lib_pthread_pthread_mutex_timedlock = yes; then
+  HAVE_MUTEX_TIMEDLOCK=yes
+else
+  HAVE_MUTEX_TIMEDLOCK=no
+fi
+
+  if test ${HAVE_MUTEX_TIMEDLOCK} = yes ; then
+     { echo "$as_me:$LINENO: checking if pthread_mutex_timedlock is compilable" >&5
+echo $ECHO_N "checking if pthread_mutex_timedlock is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <pthread.h>
+int
+main ()
+{
+pthread_mutex_t s; const struct timespec t; sem_timedlock(&s, &t);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  HAVE_MUTEX_TIMEDLOCK=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       HAVE_MUTEX_TIMEDLOCK=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+     if test ${HAVE_MUTEX_TIMEDLOCK} = yes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MUTEX_TIMEDLOCK 1
+_ACEOF
+
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+fi
+
+
+if test ".$mcsc" = .yes; then
+   # ucontext found
+   mcsc=yes
+elif test ".$pthread" = .yes; then
+   # ucontext not found, but pthread found
+   pthread=yes
+else
+    ac_header=windows.h
+    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+    if test `eval echo '${'$as_ac_Header'}'` = yes; then
+      windows_context=yes
+    else
+      { { echo "$as_me:$LINENO: error: no appropriate backend found" >&5
+echo "$as_me: error: no appropriate backend found" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+fi
+ if test x$windows_context = xyes; then
+  IS_WINDOWS_TRUE=
+  IS_WINDOWS_FALSE='#'
+else
+  IS_WINDOWS_TRUE='#'
+  IS_WINDOWS_FALSE=
+fi
+
+
+
+
+{ echo "$as_me:$LINENO: checking what kind of backend should we use" >&5
+echo $ECHO_N "checking what kind of backend should we use... $ECHO_C" >&6; }
+
+
+# Check whether --with-pthread was given.
+if test "${with_pthread+set}" = set; then
+  withval=$with_pthread; with_context=pthread
+fi
+
+
+# Check whether --with-pthread was given.
+if test "${with_pthread+set}" = set; then
+  withval=$with_pthread; with_context=pthread
+fi
+
+
+
+# Check whether --with-context was given.
+if test "${with_context+set}" = set; then
+  withval=$with_context;
+else
+  with_context=auto
+fi
+
+
+if test "x$with_context$mcsc" = "xucontextno" ; then
+  { { echo "$as_me:$LINENO: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&5
+echo "$as_me: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&2;}
+   { (exit 77); exit 77; }; }
+fi
+
+case $with_context in
+ ucontext) ;;
+ pthread) ;;
+ pthreads) ;;
+ windows) ;;
+ auto) with_context=ucontext;;
+ *) { { echo "$as_me:$LINENO: error: --with-context must be either ucontext or pthread" >&5
+echo "$as_me: error: --with-context must be either ucontext or pthread" >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+
+if test "x$with_context" = "xucontext" ; then
+  if test ".$mcsc" = .yes; then
+    { echo "$as_me:$LINENO: result: found working ucontext. Great!" >&5
+echo "${ECHO_T}found working ucontext. Great!" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define CONTEXT_UCONTEXT 1
 _ACEOF
 
-  { echo "$as_me:$LINENO: result: You have pthreads. Let's use them." >&5
-echo "${ECHO_T}You have pthreads. Let's use them." >&6; }
-fi
-
-
-if test "x$with_context" = "xucontext" ; then
-  { echo "$as_me:$LINENO: checking for direction of stack growth" >&5
-echo $ECHO_N "checking for direction of stack growth... $ECHO_C" >&6; }
-if test "${ac_cv_check_stackgrowth+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
+  else
+    if test ".$windows_context" = .yes ; then
+      { echo "$as_me:$LINENO: result: use windows context portability layer." >&5
+echo "${ECHO_T}use windows context portability layer." >&6; }
+      with_context=windows
+    else
+      { echo "$as_me:$LINENO: result: no working ucontext found. Try pthreads as a fallback" >&5
+echo "${ECHO_T}no working ucontext found. Try pthreads as a fallback" >&6; }
+      with_context=pthread
+    fi
+  fi
+fi
+
+if test "x$with_context" = "xpthread"; then
+  if test x$pthread != xyes ; then # reuse previous checks
+    { { echo "$as_me:$LINENO: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&5
+echo "$as_me: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+
+cat >>confdefs.h <<\_ACEOF
+#define CONTEXT_THREADS 1
+_ACEOF
+
+  { echo "$as_me:$LINENO: result: You have pthreads and requested for them. Fine." >&5
+echo "${ECHO_T}You have pthreads and requested for them. Fine." >&6; }
+fi
+ if test "x$with_context" != xucontext; then
+  CONTEXT_THREADS_TRUE=
+  CONTEXT_THREADS_FALSE='#'
+else
+  CONTEXT_THREADS_TRUE='#'
+  CONTEXT_THREADS_FALSE=
+fi
+
+
+
+if test "x$with_context" = "xucontext" ; then
+  { echo "$as_me:$LINENO: checking for direction of stack growth" >&5
+echo $ECHO_N "checking for direction of stack growth... $ECHO_C" >&6; }
+if test "${ac_cv_check_stackgrowth+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
 cross_compiling=no
 if test "$cross_compiling" = yes; then
   ac_cv_check_stackgrowth=down
@@ -25252,145 +25446,384 @@ echo "${ECHO_T}${T_MD}Checking extra libraries dependencies...${T_ME}" >&6; }
 
 
 SIMGRID_DEP=""
+SMPI_DEP=""
 GRAS_DEP=""
 
+if test xpthread=xyes ; then
+  # if the pthreads are usable
+  if test "x$with_context" = "xpthread" ; then
+    # if we use them to implement the xbt_context
+    SIMGRID_DEP="-lpthread"
+  fi
+  # we need them in any case for the gras lib (which is multithreaded), but on windows (of course)
+  if test "x$with_context" != "xwindows" ; then
+    GRAS_DEP="-lpthread"
+  fi
+fi
+
 #########################################
 ## Build optional modules (gtnets)
 ##
+gtnets=no
 
 # Check whether --with-gtnets was given.
 if test "${with_gtnets+set}" = set; then
   withval=$with_gtnets; gtnets_path="$withval"
 else
-  gtnets_path="NO"
+  gtnets_path="no"
 fi
 
-if test "x$gtnets_path" = "xNO" ; then
+if test "x$gtnets_path" = "xno" ; then
   { echo "$as_me:$LINENO: result: Eventually you will come to GTNetS." >&5
 echo "${ECHO_T}Eventually you will come to GTNetS." >&6; }
 else
-  { echo "$as_me:$LINENO: result: ***** You have decided to use the experimental GTNetS. We hope you know what you're doing.. ****" >&5
-echo "${ECHO_T}***** You have decided to use the experimental GTNetS. We hope you know what you're doing.. ****" >&6; }
+  { echo "$as_me:$LINENO: result: ***** You have decided to use the experimental GTNetS. We hope you know what you're doing.. *****" >&5
+echo "${ECHO_T}***** You have decided to use the experimental GTNetS. We hope you know what you're doing.. *****" >&6; }
+  { echo "$as_me:$LINENO: checking for gtnets" >&5
+echo $ECHO_N "checking for gtnets... $ECHO_C" >&6; }
+  ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  GTNETS_LDFLAGS="-lgtnets -L$gtnets_path/lib"
+  GTNETS_CPPFLAGS="-I$gtnets_path/include -I$gtnets_path/include/gtnets"
+  LDFLAGS_SAV=$LDFLAGS
+  CPPFLAGS_SAV=$CPPFLAGS
+  CPPFLAGS+=$GTNETS_CPPFLAGS
+  LDFLAGS+=$GTNETS_LDFLAGS
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+ #include <simulator.h>
+
+int
+main ()
+{
+Simulator s; s.RunUntilNextCompletion();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  gtnets=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       gtnets=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+  CPPFLAGS=$CPPFLAGS_SAV
+  LDFLAGS=$LDFLAGS_SAV
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+  if test "x$gtnets" = xyes ; then
+    AM_CPPFLAGS="$AM_CPPFLAGS $GTNETS_CPPFLAGS"
+    SIMGRID_DEP="$SIMGRID_DEP $GTNETS_LDFLAGS"
+    { echo "$as_me:$LINENO: result: Found working gtnets library." >&5
+echo "${ECHO_T}Found working gtnets library." >&6; }
 
 cat >>confdefs.h <<\_ACEOF
-#define USE_GTNETS 1
+#define HAVE_GTNETS 1
 _ACEOF
 
-  if ! test -e $gtnets_path ; then
-    { { echo "$as_me:$LINENO: error: Provided path to GTNetS include files ($gtnets_path) do not exist!" >&5
-echo "$as_me: error: Provided path to GTNetS include files ($gtnets_path) do not exist!" >&2;}
-   { (exit 1); exit 1; }; }
+  else
+    { echo "$as_me:$LINENO: result: Could not find any working gtnets library or not patched version" >&5
+echo "${ECHO_T}Could not find any working gtnets library or not patched version" >&6; }
   fi
-  GTNETS_CFLAGS=-I$gtnets_path/include
+fi
+ if test "x$gtnets" != xno; then
+  HAVE_GTNETS_TRUE=
+  HAVE_GTNETS_FALSE='#'
+else
+  HAVE_GTNETS_TRUE='#'
+  HAVE_GTNETS_FALSE=
+fi
+
+
+#########################################
+## Build optional modules (csdp)
+##
+csdp=no
+
+# Check whether --with-csdp was given.
+if test "${with_csdp+set}" = set; then
+  withval=$with_csdp; csdp_path="$withval"
+else
+  csdp_path="no"
+fi
+
+if test "x$csdp_path" = "xno" ; then
+  { echo "$as_me:$LINENO: result: Eventually you will come to csdp." >&5
+echo "${ECHO_T}Eventually you will come to csdp." >&6; }
+else
+  { echo "$as_me:$LINENO: result: ***** You have decided to use csdp. Let's check whether it works or not *****" >&5
+echo "${ECHO_T}***** You have decided to use csdp. Let's check whether it works or not *****" >&6; }
+  { echo "$as_me:$LINENO: checking for csdp" >&5
+echo $ECHO_N "checking for csdp... $ECHO_C" >&6; }
+  CSDP_LDFLAGS="-L$csdp_path/lib -lsdp -llapack -lblas -lm"
+  CSDP_CPPFLAGS="-I$csdp_path/include -I$csdp_path/include/csdp"
+
+  { echo "$as_me:$LINENO: checking for easy_sdp in -lsdp" >&5
+echo $ECHO_N "checking for easy_sdp in -lsdp... $ECHO_C" >&6; }
+if test "${ac_cv_lib_sdp_easy_sdp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsdp $CSDP_LDFLAGS $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
-  GTNETS_LDFLAGS=-L$gtnets_path/lib
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char easy_sdp ();
+int
+main ()
+{
+return easy_sdp ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_sdp_easy_sdp=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_sdp_easy_sdp=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_sdp_easy_sdp" >&5
+echo "${ECHO_T}$ac_cv_lib_sdp_easy_sdp" >&6; }
+if test $ac_cv_lib_sdp_easy_sdp = yes; then
+  csdp_lib=yes
+else
+  csdp_lib=no
+fi
+
+
+  CPPFLAGS_SAV=$CPPFLAGS
+  CPPFLAGS+=$CSDP_CPPFLAGS
+  if test "${ac_cv_header_declarations_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for declarations.h" >&5
+echo $ECHO_N "checking for declarations.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_declarations_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_declarations_h" >&5
+echo "${ECHO_T}$ac_cv_header_declarations_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking declarations.h usability" >&5
+echo $ECHO_N "checking declarations.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <declarations.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-  SIMGRID_DEP="$SIMGRID_DEP $GTNETS_LDFLAGS -lgtnets"
-fi
- if test "x$gtnets_path" != xNO; then
-  USE_GTNETS_TRUE=
-  USE_GTNETS_FALSE='#'
-else
-  USE_GTNETS_TRUE='#'
-  USE_GTNETS_FALSE=
+       ac_header_compiler=no
 fi
 
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
 
-if test xpthread=xyes ; then
-  # if the pthreads are usable
-  if test "x$with_context" = "xpthread" ; then
-    # if we use them to implement the xbt_context
-    SIMGRID_DEP="-lpthread"
-  fi
-  # we need them in any case for the gras lib (which is multithreaded), but on windows (of course)
-  if test "x$with_context" != "xwindows" ; then
-    GRAS_DEP="-lpthread"
-  fi
-fi
-
-{ echo "$as_me:$LINENO: checking for csdp" >&5
-echo $ECHO_N "checking for csdp... $ECHO_C" >&6; }
-sdp=no
-{ echo "$as_me:$LINENO: checking for sdp in -lsdp" >&5
-echo $ECHO_N "checking for sdp in -lsdp... $ECHO_C" >&6; }
-if test "${ac_cv_lib_sdp_sdp+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsdp -llapack -lblas -lm $LIBS"
+# Is the header present?
+{ echo "$as_me:$LINENO: checking declarations.h presence" >&5
+echo $ECHO_N "checking declarations.h presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char sdp ();
-int
-main ()
-{
-return sdp ();
-  ;
-  return 0;
-}
+#include <declarations.h>
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
+if { (ac_try="$ac_cpp conftest.$ac_ext"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
         test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_sdp_sdp=yes
+       }; then
+  ac_header_preproc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_sdp_sdp=no
+  ac_header_preproc=no
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: declarations.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: declarations.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: declarations.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: declarations.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: declarations.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: declarations.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: declarations.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: declarations.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: declarations.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: declarations.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: declarations.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## -------------------------------------------------- ##
+## Report this to simgrid-devel@lists.gforge.inria.fr ##
+## -------------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for declarations.h" >&5
+echo $ECHO_N "checking for declarations.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_declarations_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_declarations_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_declarations_h" >&5
+echo "${ECHO_T}$ac_cv_header_declarations_h" >&6; }
+
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_sdp_sdp" >&5
-echo "${ECHO_T}$ac_cv_lib_sdp_sdp" >&6; }
-if test $ac_cv_lib_sdp_sdp = yes; then
-  csdp=yes
+if test $ac_cv_header_declarations_h = yes; then
+  csdp_header=yes
 else
-  csdp=no
+  csdp_header=no
 fi
 
-if test "x$csdp" = xyes; then
-  SIMGRID_DEP="$SIMGRID_DEP -lsdp -llapack -lblas -lm"
-  { echo "$as_me:$LINENO: result: Found working sdp library." >&5
+
+  CPPFLAGS=$CPPFLAGS_SAV
+
+
+
+  if test "x$csdp_lib = xyes" -a "x$csdp_header = xyes" ; then
+     csdp=yes;
+  else
+     csdp=no;
+  fi
+  if test "x$csdp" = xyes; then
+    AM_CPPFLAGS="$AM_CPPFLAGS $CSDP_CPPFLAGS"
+    SIMGRID_DEP="$SIMGRID_DEP $CSDP_LDFLAGS"
+    { echo "$as_me:$LINENO: result: Found working sdp library." >&5
 echo "${ECHO_T}Found working sdp library." >&6; }
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_SDP 1
 _ACEOF
 
-else
-  { echo "$as_me:$LINENO: result: Could not find any working sdp library." >&5
+  else
+    { echo "$as_me:$LINENO: result: Could not find any working sdp library." >&5
 echo "${ECHO_T}Could not find any working sdp library." >&6; }
-fi;
+  fi;
+fi
  if test x$csdp != xno; then
   HAVE_SDP_TRUE=
   HAVE_SDP_FALSE='#'
@@ -25402,6 +25835,7 @@ fi
 
 
 
+
 { echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
 echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6; }
 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
 echo $ECHO_N "checking for extra dependencies of libgras... $ECHO_C" >&6; }
 case $host_os in
   *mingw* ) GRAS_DEP="$GRAS_DEP -lws2_32" ; SIMGRID_DEP="$SIMGRID_DEP -lws2_32";
-            AM_CFLAGS=-DDLL_EXPORT
-
+            AM_CPPFLAGS="$AM_CPPFLAGS -DDLL_EXPORT"
             cat >>confdefs.h <<\_ACEOF
 #define CONTEXT_THREADS 1
 _ACEOF
 ;;
 esac
 
+
+
 if test "x$GRAS_DEP" = x; then
    { echo "$as_me:$LINENO: result: none" >&5
 echo "${ECHO_T}none" >&6; }
@@ -25620,24 +26055,22 @@ else
 fi
 
 
-  if test "x$cflags_set" != "xyes" ; then
-    # if user didn't specify CFLAGS explicitely
-
     # AC PROG CC tests whether -g is accepted.
-    # Cool, but it also tries to set -O2. I don't want it with gcc
-    saveCFLAGS="$CFLAGS"
-    CFLAGS=
-    case " $saveCFLAGS " in
-    *-g*) CFLAGS="-g" ;;
-    esac
-    case " $saveCFLAGS " in
-    *-O2*) test "x$CC" = xgcc || CFLAGS="$CFLAGS -O2" ;;
+    # Cool, but it also tries to set -O2 and -g.
+    # I don't want it with gcc, but -O3 and -g2, and optimization only when asked by user
+    case $CC in
+      *gcc)
+      if test "$CFLAGS" = "-g -O2" ; then
+        CFLAGS="-g3"
+      fi
+      if test "$CXXFLAGS" = "-g -O2" ; then
+        CXXFLAGS="-g3"
+      fi
+      if test "$GCJFLAGS" = "-g -O2" ; then
+        CXXFLAGS="-g3"
+      fi;;
     esac
 
-    # damn AC PROG CC, why did you set -O??
-    CFLAGS="-g"
-  fi
-
   if test "x$enable_compile_warnings" = "xyes" ; then
     { echo "$as_me:$LINENO: checking the warning flags for this compiler" >&5
 echo $ECHO_N "checking the warning flags for this compiler... $ECHO_C" >&6; }
@@ -25656,7 +26089,7 @@ echo $ECHO_N "checking the warning flags for this compiler... $ECHO_C" >&6; }
       if test "x$enable_compile_warnings" = "xyes"; then
         warnCFLAGS=`echo $warnCFLAGS  -Wmissing-prototypes -Wmissing-declarations \
         -Wpointer-arith -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings \
-        -Wno-unused-function  \
+        -Wno-unused-function  -Wno-strict-aliasing  \
         -Werror \
        | sed 's/ +/ /g'`
        # -Wno-unused-variable  -Wno-unused-label
@@ -25682,9 +26115,10 @@ echo $ECHO_N "checking the optimization flags for this compiler... $ECHO_C" >&6;
 
         GCC_VER=`gcc --version | head -n 1 | sed 's/^^0-9*\(^ *\).*$/\1/'`
         GCC_VER_MAJ=`echo $GCC_VER | sed 's/^\(.\).*$/\1/'`
-        if test "x$target_cpu" = "xpowerpc" && test "x$GCC_VER_MAJ" != "x2" ; then
-          # avoid gcc bug #12828, which is fixed in 3.4.0, but this version
-          # isn't propagated enough to desserve an extra check
+        if test "x$target_cpu" = "xpowerpc" && test "x$GCC_VER_MAJ" == "x3" ; then
+          # avoid gcc bug #12828, which apeared in 3.x branch and is fixed in 3.4.0
+          # but the check would be too complicated to get 3.4.
+         # Instead, rule out any 3.x compiler.
 
           # Note that the flag didn't exist before gcc 3.0
           optCFLAGS="$optCFLAGS -fno-loop-optimize"
@@ -25716,6 +26150,35 @@ echo "${ECHO_T}$optCFLAGS" >&6; }
 
 
 
+##############################################
+## Specific mode for build daemons.
+## (they compile the SVN without having the autotools installed)
+# Check whether --enable-botbuild was given.
+if test "${enable_botbuild+set}" = set; then
+  enableval=$enable_botbuild; botbuild=$enableval
+else
+  botbuild=no
+fi
+
+ if test x$botbuild != xno; then
+  BOTBUILD_MODE_TRUE=
+  BOTBUILD_MODE_FALSE='#'
+else
+  BOTBUILD_MODE_TRUE='#'
+  BOTBUILD_MODE_FALSE=
+fi
+
+
+if test -e .svn && test x$USE_MAINTAINER_MODE != xyes && test x$botbuild != xyes ; then
+  echo "ERROR: "
+  echo "ERROR: You have to enable the maintainer mode to compile the SVN."
+  echo "ERROR: For this, just call configure this way:"
+  echo "ERROR:"
+  echo "ERROR: ./configure '--enable-maintainer-mode' $ac_configure_args"
+  echo "ERROR:"
+  exit 1
+fi
+
 
 
   { echo "$as_me:$LINENO: result: " >&5
@@ -25726,16 +26189,12 @@ echo "${ECHO_T}${T_MD}Check for Java bindings...${T_ME}" >&6; }
 # Java cruft
 # Check whether --enable-java was given.
 if test "${enable_java+set}" = set; then
-  enableval=$enable_java; want_java=$enableval
+  enableval=$enable_java; disable_java=$enableval
 else
-  want_java=yes
+  disable_java=yes
 fi
 
-if test "x$want_java" != "xyes" ; then
-   { echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
-echo $ECHO_N "checking whether to compile java bindings... $ECHO_C" >&6; }
-   { echo "$as_me:$LINENO: result: disabled by user" >&5
-echo "${ECHO_T}disabled by user" >&6; }
+if test "x$disable_java" != "xyes" ; then
    use_java="disabled by user"
 else
   # Extract the first word of "javac", so it can be a program name with args.
 
 done
 
-  { echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
-echo $ECHO_N "checking whether to compile java bindings... $ECHO_C" >&6; }
   if test -n "$JAVAC"   \
      && test -n "$JAVA" \
      && test -n "$JAR"  \
      && test "x$ac_cv_header_jni_h" = "xyes" ; then
 
      use_java="yes"
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_JAVA 1
+_ACEOF
+
   else
      use_java="no"
   fi
-  { echo "$as_me:$LINENO: result: $use_java" >&5
-echo "${ECHO_T}$use_java" >&6; }
 fi
+{ echo "$as_me:$LINENO: result: decide whether to compile java bindings... $use_java" >&5
+echo "${ECHO_T}decide whether to compile java bindings... $use_java" >&6; }
  if test "x$use_java" = "xyes"; then
   HAVE_JAVA_TRUE=
   HAVE_JAVA_FALSE='#'
@@ -26029,6 +26491,7 @@ else
 fi
 
 
+
 #####################
 ## Check for programs
 ##
@@ -26515,7 +26978,7 @@ fi
 
 
 if test x$MD5SUM != xno ; then
-  build_version=`find -name '*.ch' |grep -v src/ucontext_stack.h | grep -v src/gras_config.h |\
+  build_version=`find -name '*.ch' |grep -v src/ucontext_stack.h | grep -v src/gras_config.h |\
                  xargs cat| $MD5SUM | sed 's/ .*$//'`
 else
   build_version="no_md5sum_binary"
@@ -26557,7 +27020,11 @@ ac_config_files="$ac_config_files tools/graspe-slave"
 
 # Testsuite
 
-ac_config_files="$ac_config_files testsuite/Makefile testsuite/run_tests testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage"
+ac_config_files="$ac_config_files testsuite/Makefile testsuite/run_tests"
+
+
+# Teshsuite (testsuite using tesh)
+ac_config_files="$ac_config_files teshsuite/Makefile"
 
 
 # Documentation
@@ -26570,13 +27037,13 @@ ac_config_files="$ac_config_files doc/Makefile doc/Doxyfile"
 #      examples/gras/p2p/chord/Makefile
 #      examples/gras/p2p/can/Makefile
 
-if test "x$use_java" = "xyes" ; then
 ac_config_files="$ac_config_files examples/java/Makefile examples/java/basic/Makefile examples/java/comm_time/Makefile examples/java/suspend/Makefile examples/java/ping_pong/Makefile"
 
-fi
 
-ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/simdag/test_simdag examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile examples/amok/bandwidth/Makefile examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl examples/amok/saturate/Makefile examples/amok/saturate/test_sg examples/amok/saturate/test_rl"
+ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/properties/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile"
+
 
+ac_config_files="$ac_config_files src/smpi/smpicc src/smpi/smpirun"
 
 
 # GRAMINE_CUT_END
@@ -26719,10 +27186,24 @@ echo "$as_me: error: conditional \"GRAS_ARCH_32_BITS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${USE_GTNETS_TRUE}" && test -z "${USE_GTNETS_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"USE_GTNETS\" was never defined.
+if test -z "${IS_WINDOWS_TRUE}" && test -z "${IS_WINDOWS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"IS_WINDOWS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"IS_WINDOWS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${CONTEXT_THREADS_TRUE}" && test -z "${CONTEXT_THREADS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"CONTEXT_THREADS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"USE_GTNETS\" was never defined.
+echo "$as_me: error: conditional \"CONTEXT_THREADS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${HAVE_GTNETS_TRUE}" && test -z "${HAVE_GTNETS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTNETS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_GTNETS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -26747,6 +27228,13 @@ echo "$as_me: error: conditional \"MAINTAINER_MODE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${BOTBUILD_MODE_TRUE}" && test -z "${BOTBUILD_MODE_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"BOTBUILD_MODE\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"BOTBUILD_MODE\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${HAVE_JAVA_TRUE}" && test -z "${HAVE_JAVA_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_JAVA\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27061,7 +27549,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by simgrid $as_me 3.3-cvs, which was
+This file was extended by simgrid $as_me 3.3-svn, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -27114,7 +27602,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-simgrid config.status 3.3-cvs
+simgrid config.status 3.3-svn
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -27240,8 +27728,7 @@ do
     "tools/graspe-slave") CONFIG_FILES="$CONFIG_FILES tools/graspe-slave" ;;
     "testsuite/Makefile") CONFIG_FILES="$CONFIG_FILES testsuite/Makefile" ;;
     "testsuite/run_tests") CONFIG_FILES="$CONFIG_FILES testsuite/run_tests" ;;
-    "testsuite/gras/trp_tcp_usage") CONFIG_FILES="$CONFIG_FILES testsuite/gras/trp_tcp_usage" ;;
-    "testsuite/gras/trp_file_usage") CONFIG_FILES="$CONFIG_FILES testsuite/gras/trp_file_usage" ;;
+    "teshsuite/Makefile") CONFIG_FILES="$CONFIG_FILES teshsuite/Makefile" ;;
     "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
     "doc/Doxyfile") CONFIG_FILES="$CONFIG_FILES doc/Doxyfile" ;;
     "examples/java/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/Makefile" ;;
     "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
     "examples/msg/Makefile") CONFIG_FILES="$CONFIG_FILES examples/msg/Makefile" ;;
     "examples/simdag/Makefile") CONFIG_FILES="$CONFIG_FILES examples/simdag/Makefile" ;;
-    "examples/simdag/test_simdag") CONFIG_FILES="$CONFIG_FILES examples/simdag/test_simdag" ;;
     "examples/gras/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/Makefile" ;;
     "examples/gras/ping/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/ping/Makefile" ;;
     "examples/gras/rpc/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/rpc/Makefile" ;;
     "examples/gras/spawn/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/spawn/Makefile" ;;
     "examples/gras/synchro/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/synchro/Makefile" ;;
     "examples/gras/timer/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/timer/Makefile" ;;
+    "examples/gras/properties/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/properties/Makefile" ;;
     "examples/gras/chrono/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/chrono/Makefile" ;;
     "examples/gras/mutual_exclusion/simple_token/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/mutual_exclusion/simple_token/Makefile" ;;
     "examples/gras/mmrpc/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/mmrpc/Makefile" ;;
     "examples/gras/pmm/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/pmm/Makefile" ;;
     "examples/gras/all2all/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/all2all/Makefile" ;;
     "examples/amok/Makefile") CONFIG_FILES="$CONFIG_FILES examples/amok/Makefile" ;;
-    "examples/amok/bandwidth/Makefile") CONFIG_FILES="$CONFIG_FILES examples/amok/bandwidth/Makefile" ;;
-    "examples/amok/bandwidth/test_sg") CONFIG_FILES="$CONFIG_FILES examples/amok/bandwidth/test_sg" ;;
-    "examples/amok/bandwidth/test_rl") CONFIG_FILES="$CONFIG_FILES examples/amok/bandwidth/test_rl" ;;
-    "examples/amok/saturate/Makefile") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/Makefile" ;;
-    "examples/amok/saturate/test_sg") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_sg" ;;
-    "examples/amok/saturate/test_rl") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_rl" ;;
+    "src/smpi/smpicc") CONFIG_FILES="$CONFIG_FILES src/smpi/smpicc" ;;
+    "src/smpi/smpirun") CONFIG_FILES="$CONFIG_FILES src/smpi/smpirun" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -27487,17 +27970,19 @@ LIBTOOL!$LIBTOOL$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 GRAS_ARCH_32_BITS_TRUE!$GRAS_ARCH_32_BITS_TRUE$ac_delim
 GRAS_ARCH_32_BITS_FALSE!$GRAS_ARCH_32_BITS_FALSE$ac_delim
+IS_WINDOWS_TRUE!$IS_WINDOWS_TRUE$ac_delim
+IS_WINDOWS_FALSE!$IS_WINDOWS_FALSE$ac_delim
+CONTEXT_THREADS_TRUE!$CONTEXT_THREADS_TRUE$ac_delim
+CONTEXT_THREADS_FALSE!$CONTEXT_THREADS_FALSE$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
-GTNETS_CFLAGS!$GTNETS_CFLAGS$ac_delim
-GTNETS_LDFLAGS!$GTNETS_LDFLAGS$ac_delim
-USE_GTNETS_TRUE!$USE_GTNETS_TRUE$ac_delim
-USE_GTNETS_FALSE!$USE_GTNETS_FALSE$ac_delim
+HAVE_GTNETS_TRUE!$HAVE_GTNETS_TRUE$ac_delim
+HAVE_GTNETS_FALSE!$HAVE_GTNETS_FALSE$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
-AM_CFLAGS!$AM_CFLAGS$ac_delim
+SMPI_DEP!$SMPI_DEP$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
 GRAMINE_MODE_FALSE!$GRAMINE_MODE_FALSE$ac_delim
@@ -27505,10 +27990,13 @@ MAINTAINER_MODE_TRUE!$MAINTAINER_MODE_TRUE$ac_delim
 MAINTAINER_MODE_FALSE!$MAINTAINER_MODE_FALSE$ac_delim
 MAINT!$MAINT$ac_delim
 LD_DYNAMIC_FLAGS!$LD_DYNAMIC_FLAGS$ac_delim
+AM_CPPFLAGS!$AM_CPPFLAGS$ac_delim
 abs_builddir!$abs_builddir$ac_delim
 abs_srcdir!$abs_srcdir$ac_delim
 abs_top_builddir!$abs_top_builddir$ac_delim
 abs_top_srcdir!$abs_top_srcdir$ac_delim
+BOTBUILD_MODE_TRUE!$BOTBUILD_MODE_TRUE$ac_delim
+BOTBUILD_MODE_FALSE!$BOTBUILD_MODE_FALSE$ac_delim
 JAVAC!$JAVAC$ac_delim
 JAVA!$JAVA$ac_delim
 JAR!$JAR$ac_delim
@@ -27530,7 +28018,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 62; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -28106,7 +28594,6 @@ done
     "testsuite/Makefile":F)
     for file in                                                 \
      testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
     ; do                                                        \
       test -e $file && chmod +x $file;                          \
     done
@@ -28114,243 +28601,6 @@ done
     "testsuite/run_tests":F)
     for file in                                                 \
      testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "testsuite/gras/trp_tcp_usage":F)
-    for file in                                                 \
-     testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "testsuite/gras/trp_file_usage":F)
-    for file in                                                 \
-     testsuite/run_tests                                        \
-     testsuite/gras/trp_tcp_usage testsuite/gras/trp_file_usage \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/msg/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/simdag/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/simdag/test_simdag":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/ping/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/rpc/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/spawn/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/synchro/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/timer/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/chrono/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/mutual_exclusion/simple_token/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/mmrpc/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/pmm/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/gras/all2all/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/bandwidth/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/bandwidth/test_sg":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/bandwidth/test_rl":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/saturate/Makefile":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/saturate/test_sg":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/amok/saturate/test_rl":F)
-    for file in                                                 \
-     \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
     ; do                                                        \
       test -e $file && chmod +x $file;                          \
     done
@@ -28399,17 +28649,25 @@ Configuration of package \`${PACKAGE}' (version ${VERSION}) on $gras_arch_name (
        LDFlags:         ${LDFLAGS}
 
        Context backend: ${with_context}
+       Compile Java:    ${use_java}
+
+       Maintainer mode: ${USE_MAINTAINER_MODE}
+
 "
+if test x$botbuild = xyes ; then
+  echo "        This is a bot build. Do not specify --enable-botbuild if you are not a bot."
+  echo
+fi
 
-if test -e CVS && test x$USE_MAINTAINER_MODE != xyes ; then
+if test -e .svn && test x$USE_MAINTAINER_MODE != xyes && test x$botbuild = xyes ; then
+  echo "WARNING: "
+  echo "WARNING: You are compiling the SVN in botbuild mode. If you are not a daemon, don't do so. "
+  echo "WARNING: Remove the --enable-botbuild from your configure line, and add --enable-maintainer-mode instead."
   echo "WARNING:"
-  echo "WARNING: you seem to compile the CVS version without the maintainer mode."
-  echo "WARNING: You won't be able to build archives that way (make dist is likely to fail). "
-  echo "WARNING: If you want to enable the maintainer mode, juste specify it like this:"
-  echo "WARNING:"
-  echo "WARNING: ./configure '--enable-maintainer-mode' $ac_configure_args"
+  echo "WARNING: You won't be able to build archives until then (make dist is likely to fail). "
   echo "WARNING:"
 fi
+
 echo $build_id > stamp.configure
 
 exit 0;